@import url('https://fonts.googleapis.com/css2?family=Dosis:wght@200..800&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    width: 100%;
    scroll-behavior: smooth;
    font-family: "Funnel Sans", sans-serif;
}

:root {
    --cor-1: #E7DAC1; 
    --cor-2: #D0B08C;
    --cor-3: #A87A50;
    --cor-4: #61402A;
    --cor-5: #F6E0A6;
    --cor-6: #3D2A20;
}

#home{
    position: fixed;
    z-index: 9999;
    width: 100%;
    top: 0;
    
}

.menu{
    display: flex;
    gap: 40px;
    justify-content: center;
    align-items: center;
    background-color: var(--cor-6);
    list-style: none;
    box-shadow: 0px 0px 15px var(--cor-4);
    padding: 15px;
}

.pequeno-logo {
    width: 50px;
    transition: ease-in 0.2s;
}

.pequeno{
    padding: 5px;
    gap: 30px;
    transition: ease-in 0.2s;
}

.menu-opcao {
    text-decoration: none;
    font-size: 1.5rem;
    font-family: "Dosis", sans-serif;
    color: var(--cor-1);
    transition: ease-in 0.2s;
    
}

.pequeno-opcao{
    font-size: 1em;
    transition: ease-in 0.2s;
}

.menu-opcao:hover {
    transform: scale(1.1);
    text-decoration: underline;
    color: var(--cor-2);
}


.fa-cookie {
    animation: rodarBiscoito 10s ease-in-out infinite;
    text-shadow: 0 0px 10px rgba(0, 0, 0, 0.5);
    color: #83351e;
}

@keyframes rodarBiscoito {
    from {
        transform: rotate(0deg);
        
    }to {
        transform: rotate(360deg);
        
    }
}

#capa {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--cor-6);
}


.cookie-capa {
    background-color: var(--cor-1);
    width: 100%;
    height: 95%;
    display: flex;
    justify-content: center;
    align-items: center;
    
}

.cookie-capa img {
    width: 40%;
    filter: drop-shadow(0 0px 20px var(--cor-3));
        
}


#capa h1 {
    color: var(--cor-4);
    font-size: 5em;
    font-family: 'Dosis';
    
}

#produtos {
    padding: 30px 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    
    background-color: var(--cor-2);
    height: 100vh;
}

h1 {
    color: #240f08;
}

#produtos h1 {
    font-size: 4em;
    text-align: center;
}

.spam {
    color: var(--cor-1);
}

.card-produto {
    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: center;
    gap: 60px;
}

.card {
    border-radius: 20px;
    border: 2px solid var(--cor-1);
    filter: drop-shadow(0 0 5px var(--cor-6));
    width: 300px;
    height: 300px;
    background-color: var(--cor-3);
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    transition: ease-in-out 0.09s;
}

.card:hover {
    transform: scale(1.1);
    transition: ease-in-out 0.09s;
}

.card span {
    font-size: 1em;
    color: #83351e;
}

.card p {
    margin-top: -5px;
    font-weight: 600;
    color: var(--cor-1);
    filter: drop-shadow(0 4px 0px var(--cor-4));
    font-size: 2.5em;
}

.img-card {
    display: flex;
    justify-content: center;
    height: 150px;
    position: relative;
    
}

.cookie1, .cookie2, .cookie3 {
    
    filter: drop-shadow(0px -5px 50px var(--cor-5));
}

.cookie1 {
    transform: scale(1.5) translateY(-20px);
}

.cookie2 {
    transform: scale(1.8) translateY(-20px)
}

.cookie3 {
    
    transform: scale(1.3) translateY(-30px)
}

.preco {
    font-size: 2em;
    font-family: "Teko", sans-serif;
    font-weight: 500;
    text-align: center;
    
}

#sobre-nos {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: var(--cor-3);
    padding: 20px;
    flex-direction: column;
    gap: 20px;
    
}

#sobre-nos h1 {
    font-size: 4em;
    text-align: center;
    
}

.carrossel {
    max-width: 40%;
    position: relative;
    border-radius: 20px;
    overflow: hidden;
    border: 5px solid var(--cor-6);
    
}

.img-slides {
    display: flex;
    
    transition: all 0.5s ease-in-out;
}

.img-slides img { 
    width: 100%;
    flex-shrink: 0;
    
    transition: transform 0.5s ease;
}

.container-infos {
    width: 90%;
    height: 80%;
    background-color: var(--cor-2);
    display: flex;
    border-radius: 20px;
    justify-content: center;
    align-items: center;
    gap: 50px;
}

.info {
    width: 40%;
    padding: 15px;
    text-align: start;
    justify-content: center;
    display: flex;
    
    flex-direction: column;
    gap: 20px;
    transform: translateY(-25px);
}

.info p {
    font-size: 1.3em;
}

.info h2 {
    font-size: 2em;
}

#contato {
    height: 100vh;
    display: flex;
    justify-content: flex-start;
    gap:60px;
    align-items: center;
    background-color: var(--cor-4);
    padding: 50px;
    flex-direction: column;
}

#contato h1 {
    font-size: 2.5em;
    text-align: center;
}

.infos-contato { 
    display: flex;
    align-items: space-between;
    justify-content: center;
    flex-direction: column;
    gap: 30px;
    padding: 10px;
    height: 300px;
    border-radius: 20px;
    border: 4px solid var(--cor-1);
    background-color: var(--cor-3);
   filter: drop-shadow(0px 10px 10px var(--cor-6));
}

.contatos {
    display: grid;
    grid-template-columns: 60px 1fr;
    justify-items: start;
    color:white;
}

.contatos p { 
    font-size: 2em;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: black;
}

.fa-instagram, .fa-whatsapp {
    display: flex;
    font-size: 2.5em;
    justify-content: center;
    align-items: center;
    
}

@media screen and (max-width: 768px) {
    

    .cookie-capa {
        background-color: var(--cor-1);
            
    }

    .menu{
        gap: 15px;
        justify-content: center;
        align-items: center;
        list-style: none;
        padding: 20px;
    
    }

    .cookie-capa img {
        width: 80%;

        filter: drop-shadow(0 0px 10px var(--cor-3));
    }

    .pequeno{
        padding: 5px;
        gap: 30px;
        transition: ease-in 0.2s;
    }

    .menu-opcao {
        text-decoration: none;
        font-size: 1.5rem;
        font-family: "Dosis", sans-serif;
        color: var(--cor-1);
        transition: ease-in 0.2s;    
    }

    .pequeno-opcao{
        font-size: 1em;
        transition: ease-in 0.2s;
    }

    #capa {
        
        align-items: center;
    }

    #capa h1 {
        
        font-size: 3.2em;
        
    }

    .cookie {
        width: 48%;
    }

    .cookie1 {
        transform: scale(1) translateY(5px);
    }

    .cookie2 {
        transform: scale(1) translateY(15px);
    }

    .cookie3 {
        
        transform: scale(0.9) translateY(-5px)
    }

    .titulo {
        font-size: 3rem;
        top:130px;
    }

    #produtos {
        padding: 30px 10px;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 60px;
        height: 100%;
    }

    #produtos h1 {
        font-size: 2em;
        text-align: center;
    }



    .card-produto {
        display: flex;
        align-items: center;
        flex-direction: column;
        justify-content: center;
        gap: 80px;
    }

    .card {
        border-radius: 20px;
        width: 200px;
        height: 200px;
        background-color: var(--cor-3);
        flex-direction: column;
        justify-content: space-around;
        align-items: center;
        text-align: center;
        
    }

    .card span {
        font-size: 1em;
        color: #83351e;
    }

    .card p {
        margin-top: -5px;
        font-weight: 600;
        font-size: 2em;
        
    }

    .img-card {
        display: flex;
        justify-content: center;
        height: 50%;
        position: relative;
        
    }

    .img-card img {
        width: 150px;
        position: absolute;
        bottom: 0px;
        filter: drop-shadow(0px -5px 20px var(--cor-1));
    }

    .preco {
        font-size: 2em;
        font-family: "Teko", sans-serif;
        font-weight: 500;
        text-align: center;
    }


    .contatos {
        display: grid;
        grid-template-columns: 60px 1fr;
        justify-items: start;
        color:white;
    }

    .contatos p { 
        font-size: 1.5em;
        display: flex;
        justify-content: space-between;
        align-items: center;
        color: black;
    }

    .fa-instagram, .fa-whatsapp {
        display: flex;
        font-size: 2em;
        justify-content: center;
        align-items: center;
        
    }

    #sobre-nos {
        height: 100%;
    }
    .container-infos {
        width: 100%;
        flex-direction: column;
        border-radius: 20px;
    }

    .info {
        width: 100%;
        align-items: center;
        text-align: center;
    }

    .carrossel {
        max-width: 100%;
        border-radius: 20px 20px 0px 0px;
        border: 2px solid var(--cor-6);
    }
}